.main-container {
    width: 1240px;
    margin: auto;
    padding: 10px;
    display: flex;
    justify-content: space-between;
}
.chat-general {
    width: 100%;
    height: 600px;
    display: flex;
    flex-flow: row nowrap;
}
.chat-window {
    flex-grow: 6;
    color: black;
    font-size: 100%;
}
.chat-online-user {

    flex-grow: 4;
    color: black;
    font-size: 100%;
}
#myList {
    width: 900px;
    height: 500px;
    padding-top: 20px;
    padding-left: 20px;
    margin-left: 20px;
    background-color:rgba(102, 102, 255, 0.575);
    overflow-y: auto;
    border-radius: 15px 15px 0 0;
}

.chat-input-message {
    width: 800px;
    height: 30px;
    margin-left: 20px;
}
.chat-input-button {
    width: 116px;
    height: 34px;
    font-size: 15px;
    border: 0;
    cursor: pointer;
    background-color: rgba(102, 102, 255, 0.8);
}
.chat-list {
    width: 100%;
    height: 415px;
    margin-top: 50px;
}
.chat-input {
    width: 100%;
    height: 100px;
    margin-top: 105px;
}
.admin {
    color: darkred;
}
.user {
    color: bisque;
}
li {
    list-style-type: none;
    font-size: 20px;
}
.user-list-li li {
    white-space: nowrap;

}
.load {
    height: 25px;
    width: 100%;
    text-align: center;
}
.loadMessages{
    width: 100px;
    height: 25px;
    border: 2px solid white;
    border-radius: 100px/50px;
    margin-right: 50px;
    color: white;
    background-color: rgba(102, 102, 255, 0.1);
    outline: none;
}
.loadMessages:hover {
    background-color: rgba(43, 43, 179, 0.856);
}
.chat-input-button:hover {
    background-color: rgba(43, 43, 179, 0.856);
}
.chat-user-list {
    width: 100%;
    height: 415px;
    margin-top: 33px;
}
.user-list {
    width: 200px;
    height: 300px;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    float:right;
    margin-right: 30px;
    background-color:rgba(102, 102, 255, 0.575);
    overflow-y: auto;
    border-radius: 15px;
}
.user-list-header {
    color: white;
}
.user-info {
    display:none;
    position: absolute;
    height: 150px;
    width: 450px;
    background-color: white;
    left: 42%;
    top: 14%;
    border: 2px solid rgb(102, 102, 255);
    flex-flow: row nowrap;
}
.user-info-current {
    display:flex;
    position: absolute;
    height: 150px;
    width: 450px;
    background-color: white;
    left: 42%;
    top: 14%;
    border: 2px solid rgb(102, 102, 255);
    flex-flow: row nowrap;
}
.user-photo {

    height: 150px;
    width: 30%;
    border-right: 2px solid rgb(102, 102, 255);
}
.user-data {
    height: 150px;
    width: 70%;
}
.user-data-name {
    width: 100%;
    height: 50px;
    text-align: left;
    line-height: 37.5px;
    padding-left: 7px;
}
.user-data-gender {
    width: 100%;
    height: 50px;
    text-align: left;
    line-height: 50px;
    padding-left: 7px;
}
.user-data-email {
    width: 100%;
    height: 37.5px;
    text-align: left;
    line-height: 37.5px;
    padding-left: 7px;
}
.user-data-role {
    width: 100%;
    height: 50px;
    text-align: left;
    line-height: 50px;
    padding-left: 7px;
}
.image-info {
    width: 136px;
    height: 150px;
}
::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
}
.fa {
    margin-left: 5px;
}
.empty-history-messages {
    width: 170px;
    height: 25px;
    border: 0;
    margin-right: 50px;
    color: #5f5656ad;
    background-color: rgba(102, 102, 255, 0.1);
    outline: none;
}
[data-id-user-cor] {
    cursor: pointer;
}